﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.WebEdition;
using ThinkGeo.MapSuite.Core;

namespace Post8797
{
    public partial class _Default : System.Web.UI.Page, ICallbackEventHandler
    {
        string logoFileName;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962);
                Map1.MapUnit = GeographyUnit.Meter;
                Map1.OnClientBaseOverlayChanged = "changeBaseOverlay";
                Map1.MapTools.OverlaySwitcher.Enabled = true;
                Map1.MapTools.MouseCoordinate.Enabled = true;
                Map1.MapTools.PanZoomBar.Enabled = true;
                Map1.MapTools.Logo.ImageUri = new Uri("logo1.png", UriKind.Relative);
                Map1.MapTools.Logo.Enabled = true;

                GoogleOverlay google = new GoogleOverlay("Google Map");

                WmsOverlay wms = new WmsOverlay("WMS Overlay");
                wms.Parameters.Add("layers", "Countries02,USSTATES,USMAJORCITIES");
                wms.Parameters.Add("STYLE", "SIMPLE");
                wms.ServerUris.Add(new Uri("http://wmssamples.thinkgeo.com/WmsServer.aspx"));
                wms.SetBaseEpsgProjection("EPSG:900913");

                Map1.CustomOverlays.Add(google);
                Map1.CustomOverlays.Add(wms);
            }
        }

        public string GetCallbackResult()
        {
            return logoFileName;
        }

        public void RaiseCallbackEvent(string eventArgument)
        {
            if (eventArgument == "Google Map")
            {
                logoFileName = "logo1.png";
            }
            else
            {
                logoFileName = "logo2.png";
            }
            Map1.MapTools.Logo.ImageUri = new Uri(logoFileName, UriKind.Relative);
        }
    }
}